BootStrapClassRunner (Grails 3.2.6)
Date: 2017-02-09

Package: org.grails.plugins.web.servlet.context

## [Groovy] Class BootStrapClassRunner

- org.grails.plugins.web.servlet.context.BootStrapClassRunner

- All Implemented Interfaces and Traits:
    GrailsApplicationAware, org.springframework.web.context.ServletContextAware, org.springframework.context.ApplicationContextAware

      @groovy.transform.CompileStatic
      @groovy.util.logging.Commons
      class BootStrapClassRunner
      extends GrailsApplicationLifeCycleAdapter

  Runs the BootStrap classes on startup

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.springframework.context.ApplicationContext` | `applicationContext`
    `GrailsApplication` | `grailsApplication`
    `javax.servlet.ServletContext` | `servletContext`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `onShutdown(java.util.Map<java.lang.String, java.lang.Object> event)`
    `void` | `onStartup(java.util.Map<java.lang.String, java.lang.Object> event)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsApplicationLifeCycleAdapter` | `doWithApplicationContext, doWithDynamicMethods, doWithSpring, onConfigChange, onShutdown, onStartup`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### org.springframework.context.ApplicationContext applicationContext

    - #### GrailsApplication grailsApplication

    - #### javax.servlet.ServletContext servletContext

  - ### Method Detail

    - #### @java.lang.Override void onShutdown(java.util.Map<java.lang.String, java.lang.Object> event)

    - #### @java.lang.Override void onStartup(java.util.Map<java.lang.String, java.lang.Object> event)